#ifndef CUSTOMTIMETHREAD_H
#define CUSTOMTIMETHREAD_H

#include <QThread>
#include "global.h"

class CustomTimeThread : public QThread {
Q_OBJECT
public:
    explicit CustomTimeThread(QObject *parent = nullptr);

    void setValue(QVector<int> vector, QString string);

signals:

    void setProgressBar(int bytesRead);

    void setPlotView(int jd, bool isNum, bool isTime);

    void setWidget();

protected:
    void run() override;

private:
    QVector<int> jd;
    QString dataName;
};

#endif // CUSTOMTIMETHREAD_H
